Subject: Re: [PATCH v10 00/20] index-helper/watchman

From: David Turner <[email-masked]>
Date: Thu, 19 May 2016 15:08:45 -0400

Do folks have any more comments on this version? Do I need to re-roll
to replace 11/20 as I proposed and drop 20/20?  

Thanks.

On Thu, 2016-05-12 at 16:19 -0400, David Turner wrote:
> packet_write was causing the sigpipes (by calling write_or_die, which
> intentionally overrides the caller's preferences about signal
> handling).
> 
> This version fixes that.  I didn't test on a virtual machine, but I
> did
> test by adding a sleep().
> 
> David Turner (9):
>   pkt-line: add gentle version of packet_write
>   index-helper: log warnings
>   unpack-trees: preserve index extensions
>   watchman: add a config option to enable the extension
>   index-helper: kill mode
>   index-helper: don't run if already running
>   index-helper: autorun mode
>   index-helper: optionally automatically run
>   untracked-cache: config option
> 
> Nguyễn Thái Ngọc Duy (11):
>   read-cache.c: fix constness of verify_hdr()
>   read-cache: allow to keep mmap'd memory after reading
>   index-helper: new daemon for caching index and related stuff
>   index-helper: add --strict
>   daemonize(): set a flag before exiting the main process
>   index-helper: add --detach
>   read-cache: add watchman 'WAMA' extension
>   watchman: support watchman to reduce index refresh cost
>   index-helper: use watchman to avoid refreshing index with lstat()
>   update-index: enable/disable watchman support
>   trace: measure where the time is spent in the index-heavy
> operations
> 
>  .gitignore                               |   2 +
>  Documentation/config.txt                 |  12 +
>  Documentation/git-index-helper.txt       |  81 +++++
>  Documentation/git-update-index.txt       |   6 +
>  Documentation/technical/index-format.txt |  22 ++
>  Makefile                                 |  18 ++
>  builtin/gc.c                             |   2 +-
>  builtin/update-index.c                   |  16 +
>  cache.h                                  |  25 +-
>  config.c                                 |   5 +
>  configure.ac                             |   8 +
>  contrib/completion/git-completion.bash   |   1 +
>  daemon.c                                 |   2 +-
>  diff-lib.c                               |   4 +
>  dir.c                                    |  25 +-
>  dir.h                                    |   6 +
>  environment.c                            |   3 +
>  git-compat-util.h                        |   1 +
>  index-helper.c                           | 486
> ++++++++++++++++++++++++++++
>  name-hash.c                              |   2 +
>  pkt-line.c                               |  18 ++
>  pkt-line.h                               |   2 +
>  preload-index.c                          |   2 +
>  read-cache.c                             | 536
> ++++++++++++++++++++++++++++++-
>  refs/files-backend.c                     |   2 +
>  setup.c                                  |   4 +-
>  t/t1701-watchman-extension.sh            |  37 +++
>  t/t7063-status-untracked-cache.sh        |  22 ++
>  t/t7900-index-helper.sh                  |  69 ++++
>  t/test-lib-functions.sh                  |   4 +
>  test-dump-watchman.c                     |  16 +
>  unpack-trees.c                           |   1 +
>  watchman-support.c                       | 135 ++++++++
>  watchman-support.h                       |   7 +
>  34 files changed, 1561 insertions(+), 21 deletions(-)
>  create mode 100644 Documentation/git-index-helper.txt
>  create mode 100644 index-helper.c
>  create mode 100755 t/t1701-watchman-extension.sh
>  create mode 100755 t/t7900-index-helper.sh
>  create mode 100644 test-dump-watchman.c
>  create mode 100644 watchman-support.c
>  create mode 100644 watchman-support.h
>